Skip to main content
PUT
/
management
/
user_groups
/
{groupId}
TypeScript
const response: Promise<FireblocksResponse<UserGroupCreateResponse>> = fireblocks.userGroupsBeta.updateUserGroup(userGroupsBetaApiUpdateUserGroupRequest);
{
  "name": "<string>",
  "id": "<string>",
  "memberIds": [
    "<string>"
  ],
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

groupId
string
required

The ID of the user group

Body

application/json
groupName
string
memberIds
string[]

Response

User group updated and the changes are pending approval

name
string
id
string
memberIds
string[]
status
string